<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.gingersoft.gsa.cloud.login">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.camera.autofocus"
        android:required="false" />

    <application
        android:name="com.gingersoft.gsa.cloud.app.GsaCloudApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/user_login_name"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <activity android:name=".mvp.ui.activity.mvp.ui.activity.WelcomeActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".mvp.ui.activity.mvp.ui.activity.LoginActivity"
            android:launchMode="singleTask" />

        <activity android:name=".mvp.ui.activity.mvp.ui.activity.SwitchServerActivity" />

        <!--   HywebPOS支付頁     -->
        <activity
            android:name="com.etps.aca.lib.activity.CommandActivity"
            android:exported="true" />

        <activity android:name=".mvp.ui.activity.mvp.ui.activity.ChooseRestaurantActivity" />
        <activity android:name=".mvp.ui.activity.mvp.ui.activity.LoginOutActivity" />
        <activity android:name=".mvp.ui.activity.mvp.ui.activity.RecoverPasswordActivity" />

        <meta-data
            android:name="com.gingersoft.gsa.cloud.common.config.globalconfig.GlobalConfiguration"
            android:value="ConfigModule" />
        <meta-data
            android:name="design_width_in_dp"
            android:value="360" />
        <meta-data
            android:name="design_height_in_dp"
            android:value="640" />
    </application>

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <!--获取Activity任务栈 权限-->
    <uses-permission android:name="android.permission.GET_TASKS" />

</manifest>
